为什么安装libmysqlclient-dev时,版本号会自动跳转呢

数据库服务和管理,MySQL/PostgreSQL/Oracle/Sybase 等
回复
头像
phoenixzz
帖子: 110
注册时间: 2007-06-07 18:30
送出感谢: 1 次
接收感谢: 0

为什么安装libmysqlclient-dev时,版本号会自动跳转呢

#1

帖子 phoenixzz » 2016-06-20 0:02

事情是这样:
我在单位内部网的服务器上安装了14.04,mysql-client mysql-server都安装好了可以正常运行
但是我在服务器上要运行一个自己用c++写的小程序,在编译的时候提示我说找不到头文件mysql.h
网上搜了搜说是要安装libmysqlclient-dev,
我们单位内部的网络跟互联网是物理隔离的,但是有一个远程的ubuntu软件源
我sudo apt-get install libmysqlclient-dev的时候提示libmysqlclient-dev 5.5.47 amd64.deb 找不到软件包
提示的是failed to fetch ....deb 404 not found
但是我进入那个软件源的目录里却发现有5.5.40的软件deb安装包,我查看了自己的mysql版本确实是5.5.47
然后又搜索了一下,此文http://blog.csdn.net/dazhi_100/article/details/41980959
里说到可以指定版本,但是我试了试也提示version 5.5.40 for libmysqlclient was not found
然后我把自己已经安装的mysql-server mysql-client mysql-common 全部sudo apt-get remove了之后再重新安装
sudo apt-get install mysql-common mysql-server mysql-client
结果仍然提示找不到5.5.47的安装包
为什么它就不能直接安装5.5.40呢,是我们单位内部的软件源的问题还是我的机器问题?
我用wget把这个5.5.40的deb下载下来dpkg安装,又提示一堆依赖关系不满足

应该怎么改正?求解。难道一定要去mysql官网下载一堆东西手动安装吗?

其实哪个版本都无所谓,能装上libmysqlclient-dev让我的g++编译器能找到mysql.h就行了
头像
vickycq
论坛版主
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 995 次
联系:

Re: 为什么安装libmysqlclient-dev时,版本号会自动跳转呢

#2

帖子 vickycq » 2016-06-20 0:17

phoenixzz 写了:我在单位内部网的服务器上安装了14.04
但是我进入那个软件源的目录里却发现有5.5.40的软件deb安装包
可能原因 此软件源大大落后于 14.04(trusty) 的官方源
猜测 你单位的软件源上次同步日期在 2014-07-16 和 2015-01-21 之间
且你安装时,可能使用了 14.04.2/14.04.3 的镜像
libmysqlclient-dev 在官方源中的变动记录 参见 http://changelogs.ubuntu.com/changelogs ... /changelog
phoenixzz 写了:为什么它就不能直接安装5.5.40呢
可能原因 你的系统大大超前于你单位提供的软件源
换句话说 你单位提供的软件源大大落后于你的系统
这种情况 一般会出现问题
而反过来 若你单位提供的软件源略超前于你的系统 则一般无问题 (例 单位提供的软件源与官方源同步,而你安装了 14.04.0)
phoenixzz 写了:是我们单位内部的软件源的问题还是我的机器问题?
我用wget把这个5.5.40的deb下载下来dpkg安装,又提示一堆依赖关系不满足
猜测 是你单位内部的软件源的问题
问题可能在于 此软件源大大落后于官方源
鉴于你单位的软件源可能大大落后于官方源,建议下载 14.04 (非 14.04.1 - 14.04.4)镜像安装
下载地址见 http://old-releases.ubuntu.com/releases/14.04.0/
(一般镜像源中的 14.04 已被 14.04.4 取代)
这些用户感谢了作者 vickycq 于这个帖子:
phoenixzz (2016-06-20 7:54)
评价: 3.7%
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
头像
phoenixzz
帖子: 110
注册时间: 2007-06-07 18:30
送出感谢: 1 次
接收感谢: 0

Re: 为什么安装libmysqlclient-dev时,版本号会自动跳转呢

#3

帖子 phoenixzz » 2016-06-20 7:53

vickycq 写了:
phoenixzz 写了:我在单位内部网的服务器上安装了14.04
但是我进入那个软件源的目录里却发现有5.5.40的软件deb安装包
可能原因 此软件源大大落后于 14.04(trusty) 的官方源
猜测 你单位的软件源上次同步日期在 2014-07-16 和 2015-01-21 之间
且你安装时,可能使用了 14.04.2/14.04.3 的镜像
libmysqlclient-dev 在官方源中的变动记录 参见 http://changelogs.ubuntu.com/changelogs ... /changelog
phoenixzz 写了:为什么它就不能直接安装5.5.40呢
可能原因 你的系统大大超前于你单位提供的软件源
换句话说 你单位提供的软件源大大落后于你的系统
这种情况 一般会出现问题
而反过来 若你单位提供的软件源略超前于你的系统 则一般无问题 (例 单位提供的软件源与官方源同步,而你安装了 14.04.0)
phoenixzz 写了:是我们单位内部的软件源的问题还是我的机器问题?
我用wget把这个5.5.40的deb下载下来dpkg安装,又提示一堆依赖关系不满足
猜测 是你单位内部的软件源的问题
问题可能在于 此软件源大大落后于官方源
鉴于你单位的软件源可能大大落后于官方源,建议下载 14.04 (非 14.04.1 - 14.04.4)镜像安装
下载地址见 http://old-releases.ubuntu.com/releases/14.04.0/
(一般镜像源中的 14.04 已被 14.04.4 取代)

非常感谢回答,原理大致明白了,我的系统iso确实是从互联网上下载了刻盘安装的,也没有注意14.04.*最后一位版本号,那个单位内部的软件源里有提供14.04.1的iso,我用他自己的来安装试试
回复

回到 “数据库管理”